Bug 1629564 - [RFE] Able to search Puppet parameters alphabetically
Summary: [RFE] Able to search Puppet parameters alphabetically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: 6.3.0
Hardware: All
OS: Linux
unspecified
low vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-17 06:14 UTC by Pooja Trivedi
Modified: 2019-10-07 17:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:10 UTC
Foreman Issue Tracker 24969 None None None 2018-09-19 10:40:30 UTC

Description Pooja Trivedi 2018-09-17 06:14:57 UTC
1. Proposed title of this feature request 
 
[RFE] [RFE] Able to search Puppet parameters alphabetically in Satellite Web UI.

2. In non-public update...

  
3. What is the nature and description of the request?  

In satellite 6.3 web UI, navigate to Configure -> (Puppet) Classes ->  YOUR CLASS -> Smart Class PARAMETER 


By doing so a page is opened where we can see all the parameters associated with the Puppet Class.

The customer requires an option by which he can sort the Parameters by the matcher-value alphabetically.

4. Why does the customer need this? (List the business requirements here)  

When visually searching a large number of parameter overrides, it can be 
confusing when the elements are not listed in a predictable order. 
Currently the elements are sorted by Matcher Type. While this is very 
helpful, for one specific class customer has nearly 100 FQDN based overrides. 
If the elements could be sub sorted by matcher value (fqdn == 
matcher_value) this would significantly reduce the time spent reviewing 
the list.

5. How would the customer like to achieve this? (List the functional requirements here)  

Add a functionality by which customer can sort the Parameters by the matcher-value alphabetically.

  
6. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

No
  

7. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

The customer wants to see this feature till Satellite 6.5.


8. Is the sales team involved in this request and do they have any additional input?

No


9. List any affected packages or components.

N/A


10. Would the customer be able to assist in testing this functionality if implemented?

Yes but will require support from our end.

Comment 1 Pat Riehecky 2018-09-18 14:30:05 UTC
This is really an extension of https://projects.theforeman.org/issues/18813 where https://github.com/theforeman/foreman/pull/4360/files#diff-2e159fbeb93893150063ca62f69d9ff1R149 is extended to sort first on resolution order then on value.

Comment 2 Pat Riehecky 2018-09-18 19:31:33 UTC
Upstream link https://projects.theforeman.org/issues/24969

Comment 3 pm-sat@redhat.com 2018-10-01 08:08:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24969 has been resolved.

Comment 4 Peter Ondrejka 2018-11-05 13:43:54 UTC
Verified on Sat 6.5 snap 2

Comment 8 errata-xmlrpc 2019-05-14 12:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.